# $Revision: 1.32 $, $Date: 2010/10/29 16:27:11 $
Summary:	noip - Linux client for the no-ip.com dynamic DNS service
Summary(pl.UTF-8):	noip - linuksowy klient serwisu dynamicznego DNS no-ip.com
Name:		noip
Version:	2.1.9
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.no-ip.com/client/linux/%{name}-duc-linux.tar.gz
# Source0-md5:	eed8e9ef9edfb7ddc36e187de867fe64
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-config_location.patch
URL:		http://www.no-ip.com/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the No-IP.com Dynamic DNS update client page.

When configured correctly, the client will check your IP address at a
given time interval checking to see if your IP has changed. If your IP
address has changed it will notify No-IP DNS servers and update the IP
corresponding to your No-IP/No-IP+ hostname.

NOTE: You must add hostnames on the website (http://www.no-ip.com)
first before you can have the updater update them.

%description -l pl.UTF-8
To jest klient aktualizujący nasz wpis w systemie No-IP.com

Dobrze skonfigurowany klient będzie sprawdzał dany adres IP w
określonych odstępach czasu, aby wykryć zmiany. Jeśli adres IP się
zmieni, klient poinformuje serwery DNS No-IP i zaktualizuje numer IP
odnoszący się do odpowiedniej nazwy hosta w systemie No-IP/No-IP+.

UWAGA: aktualizacja nazw hostów za pomocą tego programu będzie możliwa
po ich dodaniu na stronie (http://www.no-ip.com).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
mv -f %{name}2.c %{name}.c

%build

%{__make} \
	PREFIX=%{_prefix} \
	CONFDIR=%{_sysconfdir} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	CONFDIR=%{_sysconfdir} \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add noip
%service noip restart "noip client daemon"

%preun
if [ "$1" = "0" ]; then
	%service noip stop
	/sbin/chkconfig --del noip
fi

%files
%defattr(644,root,root,755)
%doc README.FIRST
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(4750,root,adm) %{_sbindir}/noip
%attr(754,root,root) /etc/rc.d/init.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: noip.spec,v $
Revision 1.32  2010/10/29 16:27:11  blues
- rel.2: add sysconfig with options support; fix config-file ownership
  (see previous commit)

Revision 1.31  2010/10/29 16:16:48  blues
- drop TODO. noip doesn't (and shouldn't) own its config. Privileges are
  dropped _after_ config is read.

Revision 1.30  2008/11/25 11:58:11  blues
- security note

Revision 1.29  2008/11/25 07:41:33  charles
- updated to 2.1.9 [fixes buffer-overflow]

Revision 1.28  2008/08/18 17:35:20  charles
- updated to 2.1.7

Revision 1.27  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.25  2006/05/21 17:34:21  glen
- rel 5

Revision 1.24  2006/04/13 08:57:43  blues
- TODO added

Revision 1.23  2006/03/20 21:39:34  blues
- cosmetics

Revision 1.22  2006/03/05 15:14:39  glen
- use %service
- no globs for suid programs

Revision 1.21  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2005/06/20 13:41:03  romke
- added init script,
- release 4, STBR

Revision 1.19  2005/01/06 19:14:58  twittner
- s/CCFLAGS/CFLAGS/

Revision 1.18  2005/01/05 18:48:11  pluto
- proper cflags passing.
- perms fix.

Revision 1.17  2004/10/17 20:08:33  ankry
- rel. 3 for ac

Revision 1.16  2004/08/15 19:14:12  domelu
- rel 1

Revision 1.15  2004/06/03 04:28:20  twittner
- ... and next try.

Revision 1.14  2004/06/03 03:23:06  twittner
- fixed source0 and md5.

Revision 1.13  2004/06/02 00:48:24  ankry
- spaces->tabs, caps unified

Revision 1.12  2004/06/01 19:36:46  averne
- fuck distfiles!

Revision 1.11  2004/06/01 19:27:47  paszczus
- grr MD5 one more time

Revision 1.10  2004/06/01 19:20:44  paszczus
md5

Revision 1.9  2004/06/01 19:17:29  paszczus
- updated to 2.1.1

Revision 1.8  2004/05/27 10:29:01  ankry
pl fixes, cosmetics

Revision 1.7  2004/05/27 10:25:44  averne
- s/Linuksowy/linuksowy/

Revision 1.6  2004/05/27 10:24:17  averne
- cosmetcs

Revision 1.5  2004/05/27 10:19:49  averne
- updated descriptions sent by Michal /lipek/ Lipka <lipek at irc dot pl>

Revision 1.4  2003/10/07 01:51:35  twittner
- cleaning from unfinished things. Works for me.

Revision 1.3  2003/10/06 05:18:59  twittner
- _bindir -> _sbindir

Revision 1.2  2003/10/06 05:01:23  twittner
- TODO

Revision 1.1  2003/10/06 04:50:10  twittner
- new, NFY, completely untested.

